Bug 838076 - python-boto-2.5.1-1.el6 breaks cloud-init
python-boto-2.5.1-1.el6 breaks cloud-init
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: python-boto (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Garrett Holmstrom
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-06 08:31 EDT by Jan van Eldik
Modified: 2012-07-25 16:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-25 16:01:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan van Eldik 2012-07-06 08:31:15 EDT
Description of problem:

Latest version of python-boto breaks cloud-init

Version-Release number of selected component (if applicable):

python-boto-2.5.1-1.el6

How reproducible:

100%

Steps to Reproduce:
1. create VM image w/ cloud-init-0.6.3-0.7.bzr532.el6 (from epel-testing)
   and python-boto-2.5.1-1.el6
2. boot server from that image, specifying user data
3. verify /var/log/boot.log:

    Starting cloud-init: ci-info: lo    : 1 127.0.0.1       255.0.0.0       .
  ci-info: eth0  : 1 128.142.144.169 255.255.255.0   00:16:3e:00:4e:e3
  ci-info: route-0: 128.142.144.0   0.0.0.0         255.255.255.0   eth0   U
  ci-info: route-1: 169.254.0.0     0.0.0.0         255.255.0.0     eth0   U
  ci-info: route-2: 0.0.0.0         128.142.144.1   0.0.0.0         eth0
   UG
  cloud-init start running: Thu, 05 Jul 2012 16:52:43 +0000. up 56.88 seconds
  string index out of range
  no instance data found in start

  Starting cloud-init-cfg:

Actual results:

Cloud-init does not do anything.

Expected results:

Cloud-init to do something :)

Additional info:

We verified that the upstream commit
https://github.com/boto/boto/commit/6870daf7ef98579c73473fb8b8852abf6ce7f1f8
fixes the issue
Comment 1 Fedora Update System 2012-07-06 16:25:58 EDT
python-boto-2.5.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-boto-2.5.2-1.el6
Comment 2 Fedora Update System 2012-07-07 15:31:06 EDT
Package python-boto-2.5.2-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-boto-2.5.2-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6341/python-boto-2.5.2-1.el6
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-07-25 16:01:38 EDT
python-boto-2.5.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.